#!/bin/sh

#
# Script for installing and loading the Diamond Systems kernel plugin.
#

cd /usr/local/dscud5 

# 
# IMPORTANT NOTE:
# Uncomment the lines below to compile a new dscudkp.o for your system
#

echo "--> Compiling kernel module for your system <--"
make clean && make install

echo "--> Installing module dscudkp.o in /lib/modules/misc <--"
mkdir -p /lib/modules/misc/
cp dscudkp.o /lib/modules/misc/

echo "--> Loading driver module <--"
./load.sh

echo
echo "NOTE: Diamond Systems Universal Driver V5 installed in /usr/local/dscud5."
echo "      See the README for help with kernel-module version mismatch, "
echo "      unresolved symbols, kernel tainted messages or other problems."
echo

