#!/bin/sh

#
# Driver Initialization Script
#
# This script should be run at system startup to load the driver kernel
# modules.  You can do this by typing this on most Linux systems:
#
# % cat "/usr/local/dscud5/load.sh &" >> /etc/rc.local
#

DEVICE_MAJOR=252

if [[ ! -e /dev/dscud ]]; then {
	mknod /dev/dscud c $DEVICE_MAJOR 0
}
fi

/sbin/insmod /lib/modules/misc/dscudkp.o dscud_major=$DEVICE_MAJOR






